// mobile navbar menu
$(document).ready(function () {
    $('.mobile-toggle-nav').on('click', function () {
        $('#target_menu1').toggleClass('open');
        $(this).toggleClass('open');
    });
});

// banner categories hover menu
$(document).ready(function(){
    $(".cat_li").hover(function () {
        $(this).addClass('active');
        $(this).find(".menu_hover_box").show();
    }, function () {
        $(this).removeClass('active');
        $(this).find(".menu_hover_box").show().hide();
    });
});

// main banner slider
$(document).ready(function(){
    $('#myBannerCarousel').owlCarousel({
        loop:true,
        margin:0,
        autoplay: false,
        autoplayTimeout: 4000,
        smartSpeed: 3000,
        animateOut: "fadeOut",
        animateIn: "fadeIn",
        mouseDrag: true,
        navText: true,
        responsive:{
            0:{
                items:1
            },
            600:{
                items:1
            },
            1000:{
                items:1
            }
        }
    });
});

// trending categories slider
$(document).ready(function(){
    $('#trendingCategories').owlCarousel({
        loop:true,
        margin:0,
        autoplay: false,
        autoplayTimeout: 4000,
        smartSpeed: 3000,
        animateOut: "fadeOut",
        animateIn: "fadeIn",
        mouseDrag: true,
        navText: true,
        responsive:{
            0:{
                items:2
            },
            500:{
                items:3
            },
            800:{
                items:5
            },
            1000:{
                items:7
            }
        }
    });
});

// latest buyer offer slider
$(document).ready(function(){
    $('#latestBuyOffer').owlCarousel({
        loop:true,
        margin:0,
        autoplay: false,
        autoplayTimeout: 4000,
        smartSpeed: 3000,
        animateOut: "fadeOut",
        animateIn: "fadeIn",
        mouseDrag: true,
        nav: false,
        dots: true,
        responsive:{
            0:{
                items:1
            },
            500:{
                items:2
            },
            1000:{
                items:3
            }
        }
    });
});

// premium Suppliers slider
$(document).ready(function(){
    $('#premiumSuppliers').owlCarousel({
        loop:true,
        margin:0,
        autoplay: false,
        autoplayTimeout: 4000,
        smartSpeed: 3000,
        animateOut: "fadeOut",
        animateIn: "fadeIn",
        mouseDrag: true,
        nav: false,
        dots: true,
        responsive:{
            0:{
                items:1
            },
            500:{
                items:1
            },
            1000:{
                items:1
            }
        }
    });
});